sdr::CombineSink< Scalar > Class Template Reference

A single sink of a Combine node. More...

`#include <combine.hh>`

Inheritance diagram for sdr::CombineSink< Scalar >:

## Public Member Functions

| CombineSink (Combine< Scalar > *combine, size_t index, RingBuffer< Scalar > &buffer)
| Constructor. More...
virtual | ~CombineSink ()
| Destructor. More...
virtual void | config (const Config &src_cfg)
| Configures the sink. More...
virtual void | process (const Buffer< Scalar > &buffer, bool allow_overwrite)
| Handles the given buffer. More...
Public Member Functions inherited from sdr::Sink< Scalar >
| Sink ()
| Constructor. More...
virtual | ~Sink ()
| Drestructor. More...
virtual void | handleBuffer (const RawBuffer &buffer, bool allow_overwrite)
| Re-implemented from `SinkBase`. More...
Public Member Functions inherited from sdr::SinkBase
| SinkBase ()
| Constructor. More...
virtual | ~SinkBase ()
| Destructor. More...

## Protected Attributes

size_t | _index
| The index of the sink within the combine node. More...
Combine< Scalar > * | _parent
| A reference to the combine node. More...
RingBuffer< Scalar > & | _buffer
| The input ring-buffer. More...

## Detailed Description

### template<class Scalar>
class sdr::CombineSink< Scalar >

A single sink of a Combine node.

Do not use this node explicitly, consider using `Combine`.

## Constructor & Destructor Documentation

template<class Scalar >

sdr::CombineSink< Scalar >::CombineSink | ( | Combine< Scalar > * | combine,
|  | size_t | index,
|  | RingBuffer< Scalar > & | buffer
| ) |  |

inline

Constructor.

template<class Scalar >

virtual sdr::CombineSink< Scalar >::~CombineSink | ( |  | ) |

inlinevirtual

Destructor.

## Member Function Documentation

template<class Scalar >

virtual void sdr::CombineSink< Scalar >::config | ( | const Config & | src_cfg | ) |

inlinevirtual

Configures the sink.

Implements sdr::SinkBase.

template<class Scalar >

virtual void sdr::CombineSink< Scalar >::process | ( | const Buffer< Scalar > & | buffer,
|  | bool | allow_overwrite
| ) |  |

inlinevirtual

Handles the given buffer.

Implements sdr::Sink< Scalar >.

## Member Data Documentation

template<class Scalar >

RingBuffer<Scalar>& sdr::CombineSink< Scalar >::_buffer

protected

The input ring-buffer.

template<class Scalar >

size_t sdr::CombineSink< Scalar >::_index

protected

The index of the sink within the combine node.

template<class Scalar >

Combine<Scalar>* sdr::CombineSink< Scalar >::_parent

protected

A reference to the combine node.

The documentation for this class was generated from the following file:

- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/combine.hh